## rust-colorgrad 0.7.2

=== Makefile ===
SHELL := /bin/bash

.PHONY: all check test

all: check test

check:
	cargo build --no-default-features && \
	cargo clippy --no-default-features -- -D warnings && \
	cargo build --all-features && \
	cargo clippy --all-features -- -D warnings && \
	cargo build --examples && \
	cargo fmt --all -- --check

test:
	cargo test --no-default-features && \
	cargo test --all-features

=== debian/changelog ===
rust-colorgrad (0.7.2-1) unstable; urgency=medium

  * Package colorgrad 0.7.2 from crates.io using debcargo 2.7.8
  * Initial realase

 -- Nadzeya Hutsko <nadzya.info@gmail.com>  Thu, 21 Aug 2025 18:27:11 +0200

=== debian/control ===
Source: rust-colorgrad
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-csscolorparser-0.7+named-colors-dev (>= 0.7.2-~~) <!nocheck>,
 librust-csscolorparser-0.7-dev (>= 0.7.2-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Nadzeya Hutsko <nadzya.info@gmail.com>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/colorgrad]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/colorgrad
Homepage: https://github.com/mazznoer/colorgrad-rs
X-Cargo-Crate: colorgrad
Rules-Requires-Root: no

Package: librust-colorgrad-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-csscolorparser-0.7+lab-dev (>= 0.7.2-~~),
 librust-csscolorparser-0.7+named-colors-dev (>= 0.7.2-~~),
 librust-csscolorparser-0.7-dev (>= 0.7.2-~~)
Provides:
 librust-colorgrad+default-dev (= ${binary:Version}),
 librust-colorgrad+ggr-dev (= ${binary:Version}),
 librust-colorgrad+lab-dev (= ${binary:Version}),
 librust-colorgrad+named-colors-dev (= ${binary:Version}),
 librust-colorgrad+preset-dev (= ${binary:Version}),
 librust-colorgrad-0-dev (= ${binary:Version}),
 librust-colorgrad-0+default-dev (= ${binary:Version}),
 librust-colorgrad-0+ggr-dev (= ${binary:Version}),
 librust-colorgrad-0+lab-dev (= ${binary:Version}),
 librust-colorgrad-0+named-colors-dev (= ${binary:Version}),
 librust-colorgrad-0+preset-dev (= ${binary:Version}),
 librust-colorgrad-0.7-dev (= ${binary:Version}),
 librust-colorgrad-0.7+default-dev (= ${binary:Version}),
 librust-colorgrad-0.7+ggr-dev (= ${binary:Version}),
 librust-colorgrad-0.7+lab-dev (= ${binary:Version}),
 librust-colorgrad-0.7+named-colors-dev (= ${binary:Version}),
 librust-colorgrad-0.7+preset-dev (= ${binary:Version}),
 librust-colorgrad-0.7.2-dev (= ${binary:Version}),
 librust-colorgrad-0.7.2+default-dev (= ${binary:Version}),
 librust-colorgrad-0.7.2+ggr-dev (= ${binary:Version}),
 librust-colorgrad-0.7.2+lab-dev (= ${binary:Version}),
 librust-colorgrad-0.7.2+named-colors-dev (= ${binary:Version}),
 librust-colorgrad-0.7.2+preset-dev (= ${binary:Version})
Description: color scales library for data visualization - Rust source code
 Source code for Debianized Rust crate "colorgrad"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test colorgrad 0.7.2 --all-targets --all-features
Features: test-name=rust-colorgrad:@
Depends: dh-cargo (>= 31), rustc, librust-criterion-0.5+default-dev (>= 0.5.1-~~), librust-criterion-0.5+html-reports-dev (>= 0.5.1-~~), librust-image-0.25+png-dev (>= 0.25.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test colorgrad 0.7.2 --all-targets
Features: test-name=librust-colorgrad-dev:default
Depends: dh-cargo (>= 31), rustc, librust-criterion-0.5+default-dev (>= 0.5.1-~~), librust-criterion-0.5+html-reports-dev (>= 0.5.1-~~), librust-image-0.25+png-dev (>= 0.25.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test colorgrad 0.7.2 --all-targets --no-default-features --features ggr
Features: test-name=librust-colorgrad-dev:ggr
Depends: dh-cargo (>= 31), rustc, librust-criterion-0.5+default-dev (>= 0.5.1-~~), librust-criterion-0.5+html-reports-dev (>= 0.5.1-~~), librust-image-0.25+png-dev (>= 0.25.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test colorgrad 0.7.2 --all-targets --no-default-features --features lab
Features: test-name=librust-colorgrad-dev:lab
Depends: dh-cargo (>= 31), rustc, librust-criterion-0.5+default-dev (>= 0.5.1-~~), librust-criterion-0.5+html-reports-dev (>= 0.5.1-~~), librust-image-0.25+png-dev (>= 0.25.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test colorgrad 0.7.2 --all-targets --no-default-features --features named-colors
Features: test-name=librust-colorgrad-dev:named-colors
Depends: dh-cargo (>= 31), rustc, librust-criterion-0.5+default-dev (>= 0.5.1-~~), librust-criterion-0.5+html-reports-dev (>= 0.5.1-~~), librust-image-0.25+png-dev (>= 0.25.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test colorgrad 0.7.2 --all-targets --no-default-features --features preset
Features: test-name=librust-colorgrad-dev:preset
Depends: dh-cargo (>= 31), rustc, librust-criterion-0.5+default-dev (>= 0.5.1-~~), librust-criterion-0.5+html-reports-dev (>= 0.5.1-~~), librust-image-0.25+png-dev (>= 0.25.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test colorgrad 0.7.2 --all-targets --no-default-features
Features: test-name=librust-colorgrad-dev:
Depends: dh-cargo (>= 31), rustc, librust-criterion-0.5+default-dev (>= 0.5.1-~~), librust-criterion-0.5+html-reports-dev (>= 0.5.1-~~), librust-image-0.25+png-dev (>= 0.25.2-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/colorgrad-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/colorgrad .*/crates/colorgrad/@ANY_VERSION@/download

## rust-colorgrad 0.8.0

=== debian/changelog ===
rust-colorgrad (0.8.0-1) unstable; urgency=medium

  * Package colorgrad 0.8.0 from crates.io using debcargo 2.7.11
  * d/patches: Add relax-deps.patch to relax libm dependency to 0.2

 -- Nadzeya Hutsko <nadzya.info@gmail.com>  Wed, 03 Dec 2025 21:44:58 +0100

=== debian/control ===
Source: rust-colorgrad
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-csscolorparser-0.8+std-dev <!nocheck>,
 librust-csscolorparser-0.8-dev <!nocheck>,
 librust-libm-0.2+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Nadzeya Hutsko <nadzya.info@gmail.com>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/colorgrad]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/colorgrad
Homepage: https://github.com/mazznoer/colorgrad-rs
X-Cargo-Crate: colorgrad

Package: librust-colorgrad-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-csscolorparser-0.8+named-colors-dev,
 librust-csscolorparser-0.8+std-dev,
 librust-csscolorparser-0.8-dev,
 librust-libm-0.2+default-dev
Provides:
 librust-colorgrad+default-dev (= ${binary:Version}),
 librust-colorgrad+ggr-dev (= ${binary:Version}),
 librust-colorgrad+lab-dev (= ${binary:Version}),
 librust-colorgrad+named-colors-dev (= ${binary:Version}),
 librust-colorgrad+preset-dev (= ${binary:Version}),
 librust-colorgrad+std-dev (= ${binary:Version}),
 librust-colorgrad-0-dev (= ${binary:Version}),
 librust-colorgrad-0+default-dev (= ${binary:Version}),
 librust-colorgrad-0+ggr-dev (= ${binary:Version}),
 librust-colorgrad-0+lab-dev (= ${binary:Version}),
 librust-colorgrad-0+named-colors-dev (= ${binary:Version}),
 librust-colorgrad-0+preset-dev (= ${binary:Version}),
 librust-colorgrad-0+std-dev (= ${binary:Version}),
 librust-colorgrad-0.8-dev (= ${binary:Version}),
 librust-colorgrad-0.8+default-dev (= ${binary:Version}),
 librust-colorgrad-0.8+ggr-dev (= ${binary:Version}),
 librust-colorgrad-0.8+lab-dev (= ${binary:Version}),
 librust-colorgrad-0.8+named-colors-dev (= ${binary:Version}),
 librust-colorgrad-0.8+preset-dev (= ${binary:Version}),
 librust-colorgrad-0.8+std-dev (= ${binary:Version}),
 librust-colorgrad-0.8.0-dev (= ${binary:Version}),
 librust-colorgrad-0.8.0+default-dev (= ${binary:Version}),
 librust-colorgrad-0.8.0+ggr-dev (= ${binary:Version}),
 librust-colorgrad-0.8.0+lab-dev (= ${binary:Version}),
 librust-colorgrad-0.8.0+named-colors-dev (= ${binary:Version}),
 librust-colorgrad-0.8.0+preset-dev (= ${binary:Version}),
 librust-colorgrad-0.8.0+std-dev (= ${binary:Version})
Description: color scales library for data visualization - Rust source code
 Source code for Debianized Rust crate "colorgrad"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test colorgrad 0.8.0 --all-targets --all-features
Features: test-name=rust-colorgrad:@
Depends: dh-cargo (>= 31), rustc, librust-criterion-0.5+default-dev (>= 0.5.1-~~), librust-criterion-0.5+html-reports-dev (>= 0.5.1-~~), librust-image-0.25+png-dev (>= 0.25.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test colorgrad 0.8.0 --all-targets
Features: test-name=librust-colorgrad-dev:default
Depends: dh-cargo (>= 31), rustc, librust-criterion-0.5+default-dev (>= 0.5.1-~~), librust-criterion-0.5+html-reports-dev (>= 0.5.1-~~), librust-image-0.25+png-dev (>= 0.25.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test colorgrad 0.8.0 --all-targets --no-default-features --features ggr
Features: test-name=librust-colorgrad-dev:ggr
Depends: dh-cargo (>= 31), rustc, librust-criterion-0.5+default-dev (>= 0.5.1-~~), librust-criterion-0.5+html-reports-dev (>= 0.5.1-~~), librust-image-0.25+png-dev (>= 0.25.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test colorgrad 0.8.0 --all-targets --no-default-features --features lab
Features: test-name=librust-colorgrad-dev:lab
Depends: dh-cargo (>= 31), rustc, librust-criterion-0.5+default-dev (>= 0.5.1-~~), librust-criterion-0.5+html-reports-dev (>= 0.5.1-~~), librust-image-0.25+png-dev (>= 0.25.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test colorgrad 0.8.0 --all-targets --no-default-features --features named-colors
Features: test-name=librust-colorgrad-dev:named-colors
Depends: dh-cargo (>= 31), rustc, librust-criterion-0.5+default-dev (>= 0.5.1-~~), librust-criterion-0.5+html-reports-dev (>= 0.5.1-~~), librust-image-0.25+png-dev (>= 0.25.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test colorgrad 0.8.0 --all-targets --no-default-features --features preset
Features: test-name=librust-colorgrad-dev:preset
Depends: dh-cargo (>= 31), rustc, librust-criterion-0.5+default-dev (>= 0.5.1-~~), librust-criterion-0.5+html-reports-dev (>= 0.5.1-~~), librust-image-0.25+png-dev (>= 0.25.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test colorgrad 0.8.0 --all-targets --no-default-features --features std
Features: test-name=librust-colorgrad-dev:std
Depends: dh-cargo (>= 31), rustc, librust-criterion-0.5+default-dev (>= 0.5.1-~~), librust-criterion-0.5+html-reports-dev (>= 0.5.1-~~), librust-image-0.25+png-dev (>= 0.25.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test colorgrad 0.8.0 --all-targets --no-default-features
Features: test-name=librust-colorgrad-dev:

=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/colorgrad
Matching-Pattern:  .*/crates/colorgrad/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/colorgrad-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
